### Hierarchy

- unknown
  - DisputeOpenedMessage

## Index

### Constructors

- constructor

### Methods

- clearDispute
- clearPaymentSentMessage
- clearSenderNodeAddress
- getDispute
- getPaymentSentMessage
- getSenderNodeAddress
- getType
- getUid
- getUpdatedMultisigHex
- hasDispute
- hasPaymentSentMessage
- hasSenderNodeAddress
- serializeBinary
- setDispute
- setPaymentSentMessage
- setSenderNodeAddress
- setType
- setUid
- setUpdatedMultisigHex
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new DisputeOpenedMessage(): DisputeOpenedMessage

- Inherited from jspb.Message.constructor

  #### Returns DisputeOpenedMessage

## Methods

### clearDispute

- clearDispute(): DisputeOpenedMessage

- - Defined in src/protobuf/pb_pb.d.ts:2169

  #### Returns DisputeOpenedMessage

### clearPaymentSentMessage

- clearPaymentSentMessage(): DisputeOpenedMessage

- - Defined in src/protobuf/pb_pb.d.ts:2188

  #### Returns DisputeOpenedMessage

### clearSenderNodeAddress

- clearSenderNodeAddress(): DisputeOpenedMessage

- - Defined in src/protobuf/pb_pb.d.ts:2174

  #### Returns DisputeOpenedMessage

### getDispute

- getDispute(): undefined | Dispute

- - Defined in src/protobuf/pb_pb.d.ts:2166

  #### Returns undefined | Dispute

### getPaymentSentMessage

- getPaymentSentMessage(): undefined | PaymentSentMessage

- - Defined in src/protobuf/pb_pb.d.ts:2185

  #### Returns undefined | PaymentSentMessage

### getSenderNodeAddress

- getSenderNodeAddress(): undefined | NodeAddress

- - Defined in src/protobuf/pb_pb.d.ts:2171

  #### Returns undefined | NodeAddress

### getType

- getType(): SupportType

- - Defined in src/protobuf/pb_pb.d.ts:2179

  #### Returns SupportType

### getUid

- getUid(): string

- - Defined in src/protobuf/pb_pb.d.ts:2176

  #### Returns string

### getUpdatedMultisigHex

- getUpdatedMultisigHex(): string

- - Defined in src/protobuf/pb_pb.d.ts:2182

  #### Returns string

### hasDispute

- hasDispute(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:2168

  #### Returns boolean

### hasPaymentSentMessage

- hasPaymentSentMessage(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:2187

  #### Returns boolean

### hasSenderNodeAddress

- hasSenderNodeAddress(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:2173

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:2190

  #### Returns Uint8Array

### setDispute

- setDispute(value?: Dispute ): DisputeOpenedMessage

- - Defined in src/protobuf/pb_pb.d.ts:2167

  #### Parameters

  - ##### Optional value: Dispute

  #### Returns DisputeOpenedMessage

### setPaymentSentMessage

- setPaymentSentMessage(value?: PaymentSentMessage ): DisputeOpenedMessage

- - Defined in src/protobuf/pb_pb.d.ts:2186

  #### Parameters

  - ##### Optional value: PaymentSentMessage

  #### Returns DisputeOpenedMessage

### setSenderNodeAddress

- setSenderNodeAddress(value?: NodeAddress ): DisputeOpenedMessage

- - Defined in src/protobuf/pb_pb.d.ts:2172

  #### Parameters

  - ##### Optional value: NodeAddress

  #### Returns DisputeOpenedMessage

### setType

- setType(value: SupportType ): DisputeOpenedMessage

- - Defined in src/protobuf/pb_pb.d.ts:2180

  #### Parameters

  - ##### value: SupportType

  #### Returns DisputeOpenedMessage

### setUid

- setUid(value: string): DisputeOpenedMessage

- - Defined in src/protobuf/pb_pb.d.ts:2177

  #### Parameters

  - ##### value: string

  #### Returns DisputeOpenedMessage

### setUpdatedMultisigHex

- setUpdatedMultisigHex(value: string): DisputeOpenedMessage

- - Defined in src/protobuf/pb_pb.d.ts:2183

  #### Parameters

  - ##### value: string

  #### Returns DisputeOpenedMessage

### toObject

- toObject(includeInstance?: boolean): DisputeOpenedMessage . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:2191

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns DisputeOpenedMessage . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): DisputeOpenedMessage

- - Defined in src/protobuf/pb_pb.d.ts:2194

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns DisputeOpenedMessage

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: DisputeOpenedMessage, reader: BinaryReader): DisputeOpenedMessage

- - Defined in src/protobuf/pb_pb.d.ts:2195

  #### Parameters

  - ##### message: DisputeOpenedMessage

  - ##### reader: BinaryReader

  #### Returns DisputeOpenedMessage

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: DisputeOpenedMessage, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:2193

  #### Parameters

  - ##### message: DisputeOpenedMessage

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: DisputeOpenedMessage ): DisputeOpenedMessage . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:2192

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: DisputeOpenedMessage

  #### Returns DisputeOpenedMessage . AsObject

Generated using TypeDoc